View Issue Details

IDProjectCategoryView StatusLast Update
00035883 - Current Dev ListBugpublic2019-11-20 04:58
ReporterWA9PIEAssigned ToWA9PIE 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.7.0.250 
Summary0003588: Logbook and DM-780 - Callsign Lookup pane's Country section not populated under certain circumstances
DescriptionThere was a flaw in my specifications about how the Country section of the Callsign Lookup pane's Country section is populated. As a result, it is not being populated under certain circumstances.
Steps To ReproduceIn both Logbook and DM-780...

Put 3D2AG into the Callsign Lookup pane and allow it to populate

BUG: The Country section is empty. This also prevents the WSI valies in that section from being populated.
Additional InformationI recommend that we change the way we're populating the Country section of the Callsign Lookup pane in both Logbook and DM-780 as explained in the attached image.
Tags6.7 defects
ModuleLogbook
Sub-ModuleCall lookup
Testing Beta Successful

Activities

WA9PIE

2019-11-14 04:15

administrator  

DOUG

2019-11-15 01:03

developer   ~0009324

Will testing the Country population with QRZ be enough, or can it come from other lookups?

Is there some background on the destilling process? I have reviewed the code, but a high level description might be good

WA9PIE

2019-11-15 05:23

administrator   ~0009326

Testing with QRZ is sufficient.

DOUG

2019-11-17 22:18

developer   ~0009342

This is in the Logbook, and can be tested, I have a little more to do for the DM

WA9PIE

2019-11-18 01:59

administrator   ~0009346

I checked this in the 6.7.0.247 build. The central problem there is fixed for Logbook... however, for a call like 3D2AG in this example, the WSI values for the Callsign and Country section of the Lookup pane aren't being populated.

Later tonight, I'll run through and document the steps.

WA9PIE

2019-11-18 02:01

administrator   ~0009347

For DM-780, the WSIs in the Callsign section are correct, but not in the Country section for the specific case of 3D2AG using my log. I'll post it all later.

DOUG

2019-11-19 00:24

developer   ~0009377

I didn't check in the DM changes until tonight, it will be in the build from tonight.

WA9PIE

2019-11-19 02:50

administrator   ~0009378

Submitted for testing. Please concentrate on oddball lookups that don't bring back lat/long in QRZ.com.

g3ucq

2019-11-19 03:56

updater   ~0009383

Working for most call signs but TA0/R7AL gives the country as European Russia.
Likewise. F/HB9BQU gives the Country as Switzerland.

PD9FER

2019-11-19 04:30

updater   ~0009385

What G3UCQ is seeing has been reported in Mantis 3575

WA9PIE

2019-11-19 05:02

administrator   ~0009386

Ok... I'll write this up. I see where it's not making it. That said... we may not be fixing this before we get the maintenance release out. These are somewhat edge cases.

We'll see.

WA9PIE

2019-11-20 01:42

administrator   ~0009413

Aside from the problem with prefixes (and suffixes)... I think we've got this fixed.

I'll take the prefix/suffix thing off to a different change.

g3ucq

2019-11-20 03:53

updater   ~0009424

Fixed in .251

WA9PIE

2019-11-20 04:58

administrator   ~0009429

Validated (with the outstanding prefix issue)

Issue History

Date Modified Username Field Change
2019-11-14 04:15 WA9PIE New Issue
2019-11-14 04:15 WA9PIE Tag Attached: 6.7 defects
2019-11-14 04:15 WA9PIE File Added: CallsignLookupCountryTab.png
2019-11-14 04:18 WA9PIE Assigned To => DOUG
2019-11-14 04:18 WA9PIE Status new => assigned
2019-11-15 01:03 DOUG Note Added: 0009324
2019-11-15 05:23 WA9PIE Note Added: 0009326
2019-11-17 22:18 DOUG Note Added: 0009342
2019-11-18 01:59 WA9PIE Note Added: 0009346
2019-11-18 02:01 WA9PIE Note Added: 0009347
2019-11-19 00:24 DOUG Assigned To DOUG => WA9PIE
2019-11-19 00:24 DOUG Note Added: 0009377
2019-11-19 02:50 WA9PIE Status assigned => resolved
2019-11-19 02:50 WA9PIE Resolution open => fixed
2019-11-19 02:50 WA9PIE Fixed in Version => 6.7.0.250
2019-11-19 02:50 WA9PIE Steps to Reproduce Updated View Revisions
2019-11-19 02:50 WA9PIE Note Added: 0009378
2019-11-19 03:56 g3ucq Note Added: 0009383
2019-11-19 04:30 PD9FER Note Added: 0009385
2019-11-19 05:02 WA9PIE Note Added: 0009386
2019-11-20 01:42 WA9PIE Note Added: 0009413
2019-11-20 03:53 g3ucq Note Added: 0009424
2019-11-20 04:58 WA9PIE Status resolved => closed
2019-11-20 04:58 WA9PIE Testing Not Started => Beta Successful
2019-11-20 04:58 WA9PIE Note Added: 0009429